Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 2739203002: Initial Implementation of Iframe Attribute for Feature Policy (Part 3) (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 2 weeks ago by loonybear
Modified:
2 months ago
Reviewers:
jochen, dglazkov, iclelland
CC:
blink-reviews, blink-reviews-api_chromium.org, blink-reviews-dom_chromium.org, blink-reviews-frames_chromium.org, chromium-reviews, creis+watch_chromium.org, darin-cc_chromium.org, dcheng, dglazkov+blink, eae+blinkwatch, iclelland, jam, kinuko+watch, loonybear, mlamouri+watch-blink_chromium.org, mlamouri+watch-content_chromium.org, nasko+codewatch_chromium.org, rwlbuis, sof
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Initial Implementation of Iframe Attribute for Feature Policy (Part 3) Enable iframe feature policy by attributes: allow="feature1 feature2", allowfullscreen, and allowpaymentrequest. See design doc: https://docs.google.com/a/chromium.org/document/d/1sskoBi7Ba7hLuuiJQ6VMQ1KYIGBP8Lr87hLbkF76c2I/edit?usp=sharing Part 1: Introduce iframe allowAttr in HTMLIFrameElement::parseAttribute and store featureNames in HTMLIFrameElement (CL: https://codereview.chromium.org/2680083002/) Part 2: Propagate featureNames from HTMLIFrameElement to frame owner and remote frame owner. (CL: https://codereview.chromium.org/2697713003) Part 3: Set iframe feature policy in FrameLoader::didBeginDocument 3.a Replace string by enum in WebParsedFeaturePolicyDeclaration#feature (CL: https://codereview.chromium.org/2727803004/) 3.b Rename WebParsedFeaturePolicyHeader to WebParsedFeaturePolicy (CL: https://codereview.chromium.org/2738953002/) Part 4.a: Replace implementation of allowpaymentrequest by feature policy Part 4.b: Replace implementation of allowfullscreen by feature policy Part 5: WebVR WebParsedFeaturePolicyHeader is renamed because this DS will be shared between both header policy and container policy and in the future meta tag policy and container header policy. BUG=682256 Review-Url: https://codereview.chromium.org/2739203002 Cr-Commit-Position: refs/heads/master@{#458425} Committed: https://chromium.googlesource.com/chromium/src/+/1a466f064ef609c227ef1fa840ec812591af053b

Patch Set 1 #

Total comments: 1

Patch Set 2 : Rebase update #

Patch Set 3 : Codereview: added TODO comment for implementing allow* attributes in the container policy parser #

Total comments: 3

Patch Set 4 : Codereview: nit #

Total comments: 1

Patch Set 5 : Rebase update #

Total comments: 1

Patch Set 6 : Clean up after rebase #

Total comments: 2

Patch Set 7 : Bug fix: frame owner does not always exist. #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+67 lines, -7 lines) Patch
M third_party/WebKit/Source/core/dom/SecurityContext.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/dom/SecurityContext.cpp View 1 1 chunk +1 line, -3 lines 0 comments Download
M third_party/WebKit/Source/core/loader/FrameLoader.cpp View 1 2 3 4 5 6 1 chunk +8 lines, -2 lines 3 comments Download
M third_party/WebKit/Source/platform/feature_policy/FeaturePolicy.h View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/feature_policy/FeaturePolicy.cpp View 1 2 3 1 chunk +15 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/feature_policy/FeaturePolicyTest.cpp View 1 1 chunk +27 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/WebRemoteFrameImpl.cpp View 1 2 3 4 5 6 2 chunks +9 lines, -2 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 68 (45 generated)
loonybear
Hi Ian, once you reviewed the other 2 CL (3.a, and 3.b), please take a ...
2 months, 2 weeks ago (2017-03-09 20:00:34 UTC) #3
loonybear
Hi Ian, once you reviewed the other 2 CL (3.a, and 3.b), please take a ...
2 months, 2 weeks ago (2017-03-09 20:00:35 UTC) #4
iclelland
I think this is looking pretty good -- do you think you could rebase this ...
2 months, 1 week ago (2017-03-15 15:47:19 UTC) #5
loonybear
Added TODO comments as suggested. PTAL
2 months, 1 week ago (2017-03-15 15:57:39 UTC) #9
iclelland
Almost there -- looks great, other than a couple of nits and what looks like ...
2 months, 1 week ago (2017-03-15 17:14:57 UTC) #13
loonybear
Thanks. PTAL
2 months, 1 week ago (2017-03-16 19:26:44 UTC) #15
iclelland
Other than the one unrelated change that's still sticking around, this LGTM https://codereview.chromium.org/2739203002/diff/60001/content/browser/site_per_process_browsertest.cc File content/browser/site_per_process_browsertest.cc ...
2 months, 1 week ago (2017-03-16 19:51:23 UTC) #17
loonybear
Hi jochen, would you mind owner approve this CL? Thanks
2 months, 1 week ago (2017-03-18 04:01:37 UTC) #28
jochen
the CL appears to be very crashy, and sadly it's not obvious from the bots ...
2 months, 1 week ago (2017-03-20 07:22:37 UTC) #31
dglazkov
https://codereview.chromium.org/2739203002/diff/140001/third_party/WebKit/Source/core/loader/FrameLoader.cpp File third_party/WebKit/Source/core/loader/FrameLoader.cpp (right): https://codereview.chromium.org/2739203002/diff/140001/third_party/WebKit/Source/core/loader/FrameLoader.cpp#newcode622 third_party/WebKit/Source/core/loader/FrameLoader.cpp:622: m_frame->owner()->allowedFeatures(), It crashes here.
2 months ago (2017-03-20 16:49:50 UTC) #42
loonybear
Fixed it. Thanks https://codereview.chromium.org/2739203002/diff/140001/third_party/WebKit/Source/core/loader/FrameLoader.cpp File third_party/WebKit/Source/core/loader/FrameLoader.cpp (right): https://codereview.chromium.org/2739203002/diff/140001/third_party/WebKit/Source/core/loader/FrameLoader.cpp#newcode622 third_party/WebKit/Source/core/loader/FrameLoader.cpp:622: m_frame->owner()->allowedFeatures(), On 2017/03/20 16:49:50, dglazkov wrote: ...
2 months ago (2017-03-20 20:50:09 UTC) #50
dglazkov
lgtm
2 months ago (2017-03-20 20:56:05 UTC) #51
dglazkov
https://codereview.chromium.org/2739203002/diff/180001/third_party/WebKit/Source/core/loader/FrameLoader.cpp File third_party/WebKit/Source/core/loader/FrameLoader.cpp (right): https://codereview.chromium.org/2739203002/diff/180001/third_party/WebKit/Source/core/loader/FrameLoader.cpp#newcode621 third_party/WebKit/Source/core/loader/FrameLoader.cpp:621: if (m_frame->owner()) { I wonder if even need to ...
2 months ago (2017-03-20 20:57:12 UTC) #52
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2739203002/180001
2 months ago (2017-03-20 20:58:08 UTC) #55
jochen
lgtm
2 months ago (2017-03-20 21:02:29 UTC) #56
loonybear
Please see my comment below. https://codereview.chromium.org/2739203002/diff/180001/third_party/WebKit/Source/core/loader/FrameLoader.cpp File third_party/WebKit/Source/core/loader/FrameLoader.cpp (right): https://codereview.chromium.org/2739203002/diff/180001/third_party/WebKit/Source/core/loader/FrameLoader.cpp#newcode621 third_party/WebKit/Source/core/loader/FrameLoader.cpp:621: if (m_frame->owner()) { On ...
2 months ago (2017-03-20 21:07:01 UTC) #57
dglazkov
https://codereview.chromium.org/2739203002/diff/180001/third_party/WebKit/Source/core/loader/FrameLoader.cpp File third_party/WebKit/Source/core/loader/FrameLoader.cpp (right): https://codereview.chromium.org/2739203002/diff/180001/third_party/WebKit/Source/core/loader/FrameLoader.cpp#newcode621 third_party/WebKit/Source/core/loader/FrameLoader.cpp:621: if (m_frame->owner()) { On 2017/03/20 at 21:07:01, loonybear wrote: ...
2 months ago (2017-03-20 22:18:26 UTC) #58
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/412412)
2 months ago (2017-03-20 22:58:58 UTC) #60
iclelland
I think we do need to initialize *some* policy in those cases, both of those ...
2 months ago (2017-03-20 22:59:51 UTC) #61
iclelland
I think we do need to initialize *some* policy in those cases, both of those ...
2 months ago (2017-03-20 22:59:51 UTC) #62
dglazkov
On 2017/03/20 at 22:59:51, iclelland wrote: > I think we do need to initialize *some* ...
2 months ago (2017-03-20 23:01:55 UTC) #63
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2739203002/180001
2 months ago (2017-03-21 14:28:02 UTC) #65
commit-bot: I haz the power
2 months ago (2017-03-21 15:50:07 UTC) #68
Message was sent while issue was closed.
Committed patchset #7 (id:180001) as
https://chromium.googlesource.com/chromium/src/+/1a466f064ef609c227ef1fa840ec...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06